Dokumentacja AlgoJudge0.1
REST reference

Identity Providers

Ta strona jest po angielsku

Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
GET/identity/providers

Response Body

curl -X GET "https://example.com/identity/providers"
[  {    "id": "string",    "slug": "string",    "displayName": "string",    "issuer": "string",    "clientId": "string",    "scopes": "string",    "enabled": true,    "accountUrl": "string",    "deletionUrl": "string",    "claimPath": "string",    "unmappedBehavior": "string",    "defaultTemplateName": "string",    "deletionChannelEnabled": true,    "hasClientSecret": true,    "hasDeletionSecret": true,    "callbackPath": "string",    "mappingRules": [      {        "claimValue": "string",        "templateName": "string"      }    ],    "linkedAccounts": 0,    "createdAt": "string"  }]
POST/identity/providers

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/identity/providers" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "displayName": "string",    "issuer": "string",    "clientId": "string"  }'
{  "id": "string",  "slug": "string",  "displayName": "string",  "issuer": "string",  "clientId": "string",  "scopes": "string",  "enabled": true,  "accountUrl": "string",  "deletionUrl": "string",  "claimPath": "string",  "unmappedBehavior": "string",  "defaultTemplateName": "string",  "deletionChannelEnabled": true,  "hasClientSecret": true,  "hasDeletionSecret": true,  "callbackPath": "string",  "mappingRules": [    {      "claimValue": "string",      "templateName": "string"    }  ],  "linkedAccounts": 0,  "createdAt": "string"}
GET/identity/providers/{id}

Path Parameters

id*string
Formatuuid

Response Body

curl -X GET "https://example.com/identity/providers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "string",  "slug": "string",  "displayName": "string",  "issuer": "string",  "clientId": "string",  "scopes": "string",  "enabled": true,  "accountUrl": "string",  "deletionUrl": "string",  "claimPath": "string",  "unmappedBehavior": "string",  "defaultTemplateName": "string",  "deletionChannelEnabled": true,  "hasClientSecret": true,  "hasDeletionSecret": true,  "callbackPath": "string",  "mappingRules": [    {      "claimValue": "string",      "templateName": "string"    }  ],  "linkedAccounts": 0,  "createdAt": "string"}
DELETE/identity/providers/{id}

Path Parameters

id*string
Formatuuid

Response Body

curl -X DELETE "https://example.com/identity/providers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
PUT/identity/providers/{id}

Path Parameters

id*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/identity/providers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "displayName": "string",    "issuer": "string",    "clientId": "string"  }'
{  "id": "string",  "slug": "string",  "displayName": "string",  "issuer": "string",  "clientId": "string",  "scopes": "string",  "enabled": true,  "accountUrl": "string",  "deletionUrl": "string",  "claimPath": "string",  "unmappedBehavior": "string",  "defaultTemplateName": "string",  "deletionChannelEnabled": true,  "hasClientSecret": true,  "hasDeletionSecret": true,  "callbackPath": "string",  "mappingRules": [    {      "claimValue": "string",      "templateName": "string"    }  ],  "linkedAccounts": 0,  "createdAt": "string"}